summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/lang-python-1
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2014-10-01 13:25:03 +0900
committerDaiki Ueno <ueno@gnu.org>2014-10-01 14:35:51 +0900
commite860dc2849a0615d8db09804f72152581605874d (patch)
tree8d58734b892a3e20c0009f34ccea941e310d617f /gettext-tools/tests/lang-python-1
parentce70d92b4b1bbf6f7be374cb12d2ab94a10eaa36 (diff)
downloadexternal_gettext-e860dc2849a0615d8db09804f72152581605874d.zip
external_gettext-e860dc2849a0615d8db09804f72152581605874d.tar.gz
external_gettext-e860dc2849a0615d8db09804f72152581605874d.tar.bz2
tests: Stop redundant textdomain directory creation
This was introduced by commit 3533f6cc when we didn't use separate test directory for each test. Now that we switched to init.sh, we don't need to worry about filename conflicts.
Diffstat (limited to 'gettext-tools/tests/lang-python-1')
-rwxr-xr-xgettext-tools/tests/lang-python-137
1 files changed, 18 insertions, 19 deletions
diff --git a/gettext-tools/tests/lang-python-1 b/gettext-tools/tests/lang-python-1
index db91d47..2068bfa 100755
--- a/gettext-tools/tests/lang-python-1
+++ b/gettext-tools/tests/lang-python-1
@@ -11,7 +11,7 @@ cat <<\EOF > prog1.py
import gettext
gettext.textdomain('prog')
-gettext.bindtextdomain('prog', 'l-python-1')
+gettext.bindtextdomain('prog', '.')
print gettext.gettext("'Your command, please?', asked the waiter.")
print gettext.gettext("%(oldCurrency)s is replaced by %(newCurrency)s.") \
@@ -19,10 +19,10 @@ print gettext.gettext("%(oldCurrency)s is replaced by %(newCurrency)s.") \
EOF
: ${XGETTEXT=xgettext}
-${XGETTEXT} -o l-python-1-prog.tmp --omit-header --no-location prog1.py || exit 1
-LC_ALL=C tr -d '\r' < l-python-1-prog.tmp > l-python-1-prog.pot || exit 1
+${XGETTEXT} -o prog.tmp --omit-header --no-location prog1.py || exit 1
+LC_ALL=C tr -d '\r' < prog.tmp > prog.pot || exit 1
-cat <<EOF > l-python-1-prog.ok
+cat <<EOF > prog.ok
msgid "'Your command, please?', asked the waiter."
msgstr ""
@@ -32,9 +32,9 @@ msgstr ""
EOF
: ${DIFF=diff}
-${DIFF} l-python-1-prog.ok l-python-1-prog.pot || exit 1
+${DIFF} prog.ok prog.pot || exit 1
-cat <<\EOF > l-python-1-fr.po
+cat <<\EOF > fr.po
msgid ""
msgstr ""
"Content-Type: text/plain; charset=ISO-8859-1\n"
@@ -50,18 +50,17 @@ msgstr "%(newCurrency)s remplace %(oldCurrency)s."
EOF
: ${MSGMERGE=msgmerge}
-${MSGMERGE} -q -o l-python-1-fr.po.tmp l-python-1-fr.po l-python-1-prog.pot || exit 1
-LC_ALL=C tr -d '\r' < l-python-1-fr.po.tmp > l-python-1-fr.po.new || exit 1
+${MSGMERGE} -q -o fr.po.tmp fr.po prog.pot || exit 1
+LC_ALL=C tr -d '\r' < fr.po.tmp > fr.po.new || exit 1
: ${DIFF=diff}
-${DIFF} l-python-1-fr.po l-python-1-fr.po.new || exit 1
+${DIFF} fr.po fr.po.new || exit 1
-test -d l-python-1 || mkdir l-python-1
-test -d l-python-1/fr || mkdir l-python-1/fr
-test -d l-python-1/fr/LC_MESSAGES || mkdir l-python-1/fr/LC_MESSAGES
+test -d fr || mkdir fr
+test -d fr/LC_MESSAGES || mkdir fr/LC_MESSAGES
: ${MSGFMT=msgfmt}
-${MSGFMT} -o l-python-1/fr/LC_MESSAGES/prog.mo l-python-1-fr.po
+${MSGFMT} -o fr/LC_MESSAGES/prog.mo fr.po
# Test for presence of python version 2.0 or newer.
(python -V) >/dev/null 2>/dev/null \
@@ -72,11 +71,11 @@ case `python -c 'import sys; print sys.hexversion >= 0x20000F0'` in
esac
: ${DIFF=diff}
-cat <<\EOF > l-python-1-prog.ok
+cat <<\EOF > prog.ok
«Votre commande, s'il vous plait», dit le garçon.
EUR remplace FF.
EOF
-cat <<\EOF > l-python-1-prog.oku
+cat <<\EOF > prog.oku
«Votre commande, s'il vous plait», dit le garçon.
EUR remplace FF.
EOF
@@ -84,13 +83,13 @@ EOF
: ${LOCALE_FR=fr_FR}
: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
if test $LOCALE_FR != none; then
- LANGUAGE= LC_ALL=$LOCALE_FR python prog1.py > l-python-1-prog.out || exit 1
- ${DIFF} l-python-1-prog.ok l-python-1-prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR python prog1.py > prog.out || exit 1
+ ${DIFF} prog.ok prog.out || exit 1
fi
if test -z "$UTF8_LOCALE_UNSUPPORTED"; then
if test $LOCALE_FR_UTF8 != none; then
- LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 python prog1.py > l-python-1-prog.out || exit 1
- ${DIFF} l-python-1-prog.oku l-python-1-prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 python prog1.py > prog.out || exit 1
+ ${DIFF} prog.oku prog.out || exit 1
fi
if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
if test -f /usr/bin/localedef; then